walinuxagent 2.1.5 needs to have AutoUpdate On

Bug #1650522 reported by Jose L. VG on 2016-12-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
walinuxagent (Ubuntu)
Undecided
Łukasz Zemczak
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

Re-using the same bug for release with 2.2.6 to get the auto-updates enabled.

[Original Description]

From Daniel Sol:

"
I was working on one of my 16.10 servers today and I was trying to get
the Linux agent to take it latest goal state update and it was not
doing anything. I looked in ./etc/waagent.conf and found it was disabled:

# Enable or disable self-update, default is enabled
AutoUpdate.Enabled=n
AutoUpdate.GAFamily=Prod
"

After some discussion we have agreed Ubuntu packages for yakkety, xenial & trusty should enable AutoUpdate.

[SRU TEMPLATE]

[Impact]

Version 2.1.5 is already the latest walinuxagent version for yakkety, xenial & trusty. This change just turns AutoUpdates on, which were set to off by the ubuntu packaging process (being on by default upstream)

[Test case 1]: Upgrade testing
1.) Launch instance on Azure
2.) Upgrade walinuxagent from -proposed
3.) Confirm that "waagent" is running, check /var/log/waagent.log
4.) Reboot, repeat step 3
5.) Capture instance and provsion new instances; repeat step 3

[Test Case 2]: New instance
1.) Build new cloud image from -proposed
2.) Boot instance
3.) Confirm that instance provisioned

More on the test plan:
https://wiki.ubuntu.com/walinuxagentUpdates

[Upstream Testing]
The Canonical Cloud Image team has been working with Microsoft to ensure that this package is well tested. Validation will be performed by both Microsoft and the Canonical Cloud Image team.

[Regression Potential]
Currently, WALinuxAgent uses Python 2. With the 2.1.x branch, WALinuxAgent started using Python 3.

Jose L. VG (josvaz) on 2016-12-16
Changed in walinuxagent (Ubuntu):
assignee: nobody → Jose L. VG (josvaz)
Jose L. VG (josvaz) wrote :

See also recent release work of walinuxagent 2.1.5 at:
https://bugs.launchpad.net/ubuntu/+source/walinuxagent/+bug/1603581

Jose L. VG (josvaz) on 2016-12-16
Changed in walinuxagent (Ubuntu):
status: New → In Progress
Jose L. VG (josvaz) wrote :

We have tested a new package version for yakkety both installing manually and in a test image:
https://josvaz.blob.core.windows.net/shared/Ubuntu_DAILY_BUILD-yakkety-16_10-amd64-server-20161214-wala215-autoupdate-1482143205-en-us-30GB

Please, do test the above image from the Azure side as well.

So far our tests are good and we are to start the SRU process for yakkety shortly.

For xenial & trusty we anticipate the chaneg is the same, so we plan to keep them moving in paralel, a bit delayed after yakkety. Our curretn estimate is to enter SRU with them this week.

Changed in walinuxagent (Ubuntu Yakkety):
status: New → In Progress
Jose L. VG (josvaz) on 2016-12-19
description: updated
Dimitri John Ledkov (xnox) wrote :

First debdiff from comment #3 looks good, but version 2.1.5-0ubuntu5 should be for zesty, not yakkety.

Jose L. VG (josvaz) wrote :

removed the first yakkety attemp, will upload debdiff dor zesty now before yakkety

Jose L. VG (josvaz) wrote :

zesty debdiff

Jose L. VG (josvaz) wrote :

yakkety debdiff from latest from updates to the proposed change

Jose L. VG (josvaz) wrote :

xenial debdiff from latest from updates to the proposed change

Jose L. VG (josvaz) wrote :

trusty debdiff from latest from updates to the proposed change

Changed in walinuxagent (Ubuntu):
milestone: none → ubuntu-16.12
Changed in walinuxagent (Ubuntu Xenial):
status: New → In Progress
Changed in walinuxagent (Ubuntu Trusty):
status: New → In Progress
Dimitri John Ledkov (xnox) wrote :

2.1.5-0ubuntu4.1~16.04.0ubuntu1 and 2.1.5-0ubuntu4.1~14.04.0ubuntu1 is too much, the ubuntu1 suffix is redundant.
For example, if one ever needs to fix up something just in xenial one typically just increments the last digit e.g. 2.1.5-0ubuntu4.1~16.04.1, 2.1.5-0ubuntu4.1~16.04.2 etc. Another example of version numbers is firefox https://launchpad.net/ubuntu/+source/firefox which uses slightly different scheme but similar in spirit. Fixing this up before uploading.

Changed in walinuxagent (Ubuntu):
status: In Progress → Fix Committed
Dimitri John Ledkov (xnox) wrote :

Everything uploaded. SRUs awaiting in the unapproved queues.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.1.5-0ubuntu5

---------------
walinuxagent (2.1.5-0ubuntu5) zesty; urgency=medium

  * debian/patches/lp-1650522-reenable-auto-update.patch:
    - Enable AutoUpdate again at config/ubuntu/waagent.conf (LP: #1650522)

 -- Jose Luis Vazquez Gonzalez (Jose Vazquez) <email address hidden> Mon, 19 Dec 2016 18:11:33 +0100

Changed in walinuxagent (Ubuntu):
status: Fix Committed → Fix Released

An upload of walinuxagent to yakkety-proposed has been rejected from the upload queue for the following reason: "removing from queue until implications of auto-update have been discussed".

Steve Langasek (vorlon) wrote :

An upload of walinuxagent to xenial-proposed has been rejected from the upload queue for the following reason: "removing from queue until implications of auto-update have been discussed".

Steve Langasek (vorlon) wrote :

An upload of walinuxagent to trusty-proposed has been rejected from the upload queue for the following reason: "removing from queue until implications of auto-update have been discussed".

Changed in walinuxagent (Ubuntu):
status: Fix Released → Confirmed
Changed in walinuxagent (Ubuntu Trusty):
status: In Progress → Confirmed
Changed in walinuxagent (Ubuntu Yakkety):
status: In Progress → Confirmed
Changed in walinuxagent (Ubuntu Xenial):
status: In Progress → Confirmed
Changed in walinuxagent (Ubuntu):
assignee: Jose L. VG (josvaz) → Steve Langasek (vorlon)
milestone: ubuntu-16.12 → ubuntu-17.02
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.2-0ubuntu0~16.04.1

---------------
walinuxagent (2.2.2-0ubuntu0~16.04.1) xenial; urgency=medium

  * Backport zesty version to xenial.
  * New upstream release (LP: #1651128)
    - d/patches/fix-auto-update.patch,
      d/patches/lp1623570-adjust-walinuxagent-service-after-and-wants.patch:
      - Dropped as changes have been applied upstream
    - Refreshed debian/patches/disable_import_test.patch

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 16 Jan 2017 10:10:41 +0100

Changed in walinuxagent (Ubuntu Xenial):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.2-0ubuntu0~14.04.1

---------------
walinuxagent (2.2.2-0ubuntu0~14.04.1) trusty; urgency=medium

  * Backport zesty version to trusty.
  * New upstream release (LP: #1651128)
    - d/patches/fix-auto-update.patch,
      d/patches/lp1623570-adjust-walinuxagent-service-after-and-wants.patch:
      - Dropped as changes have been applied upstream
    - Refreshed debian/patches/disable_import_test.patch

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 16 Jan 2017 10:10:41 +0100

Changed in walinuxagent (Ubuntu Trusty):
status: Confirmed → Fix Released
Changed in walinuxagent (Ubuntu Xenial):
status: Fix Released → Confirmed
Changed in walinuxagent (Ubuntu Trusty):
status: Fix Released → Confirmed
Changed in walinuxagent (Ubuntu):
assignee: Steve Langasek (vorlon) → Łukasz Zemczak (sil2100)
Changed in walinuxagent (Ubuntu):
status: Confirmed → In Progress
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.6-0ubuntu1

---------------
walinuxagent (2.2.6-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1661750).
  * debian/control:
    - Change the maintainer to Ubuntu Developers (LP: #1657528).
    - Add the dependency of isc-dhcp-client as our maintainer scripts assume
      it's installed.
    - Add trailing commas to dependencies, add whitespaces.
  * Rename ephemeral-disk-warning.sh to ephemeral-disk-warning (lintian error).
  * debian/docs:
    - Remove LICENSE.txt as it's redundant.
  * debian/postinst:
    - Stop checking for update-initramfs existence using the absolute path, use
      the 'command' command instead to make lintian happy.
  * Remove debian/patches/disable-auto-update.patch:
    - We now ship with auto-updates enabled (LP: #1650522).
  * debian/maintscript:
    - Add a maintscript to rename the old logrotate file on upgrade from an
      ancient version of walinuxagent (LP: #1673152).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 15 Mar 2017 10:19:34 +0100

Changed in walinuxagent (Ubuntu):
status: In Progress → Fix Released
Steve Langasek (vorlon) wrote :

An upload of walinuxagent to yakkety-proposed has been rejected from the upload queue for the following reason: "to be reuploaded w/ bug ref for isc-dhcp-client dep".

Hello Jose, or anyone else affected,

Accepted walinuxagent into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.6-0ubuntu1~16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in walinuxagent (Ubuntu Yakkety):
status: Confirmed → Fix Committed
Changed in walinuxagent (Ubuntu Xenial):
status: Confirmed → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Jose, or anyone else affected,

Accepted walinuxagent into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.6-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon) wrote :

Hello Jose, or anyone else affected,

Accepted walinuxagent into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.6-0ubuntu1~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in walinuxagent (Ubuntu Trusty):
status: Confirmed → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Tested on all 3 series on Azure virtual machines (2.2.6-0ubuntu1~14.04.1, 2.2.6-0ubuntu1~16.04.1 and 2.2.6-0ubuntu1~16.10.1), upgraded walinuxagent and observed the logs. In all 3 cases the following line could be seen:

2017/03/23 17:22:21.431150 INFO Checking for agent family Prod updates

...which means the auto-update feature is enabled! Also checked waagent.conf to see if the configuration file is valid.

tags: added: verification-done
Jose L. VG (josvaz) wrote :

Following https://wiki.ubuntu.com/walinuxagentUpdates CPC automated SRU testing for proposed walinuxagent 2.2.6 has passed for all three suites; yakkety, xenial & trusty.

These are the images with the proposed packages that have been tested:

yakkety
Ubuntu_DAILY_BUILD-yakkety-16_10-amd64-server-20170320-wala226-proposed-1490097291-en-us-30GB

xenial
Ubuntu_DAILY_BUILD-xenial-16_04-LTS-amd64-server-20170320-wala226-proposed-1490097720-en-us-30GB

trusty
Ubuntu_DAILY_BUILD-trusty-14_04_5-LTS-amd64-server-20170320-wala226-proposed-1490098095-en-us-30GB

I should make these available for Azure to re-test themselves later today.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.6-0ubuntu1~16.10.1

---------------
walinuxagent (2.2.6-0ubuntu1~16.10.1) yakkety; urgency=medium

  * Backport zesty version to yakkety.
  * New upstream release (LP: #1661750).
  * debian/control:
    - Change the maintainer to Ubuntu Developers (LP: #1657528).
    - Add the dependency of isc-dhcp-client as our maintainer scripts assume
      it's installed (LP: #1673862).
    - Add trailing commas to dependencies, add whitespaces.
  * Rename ephemeral-disk-warning.sh to ephemeral-disk-warning (lintian error).
  * debian/docs:
    - Remove LICENSE.txt as it's redundant.
  * debian/postinst:
    - Stop checking for update-initramfs existence using the absolute path, use
      the 'command' command instead to make lintian happy.
  * Remove debian/patches/disable-auto-update.patch:
    - We now ship with auto-updates enabled (LP: #1650522).
  * debian/maintscript:
    - Add a maintscript to rename the old logrotate file on upgrade from an
      ancient version of walinuxagent (LP: #1673152).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 15 Mar 2017 10:19:34 +0100

Changed in walinuxagent (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for walinuxagent has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.6-0ubuntu1~16.04.1

---------------
walinuxagent (2.2.6-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport zesty version to xenial.
  * New upstream release (LP: #1661750)
  * debian/control:
    - Change the maintainer to Ubuntu Developers (LP: #1657528)
    - Add the dependency of isc-dhcp-client as our maintainer scripts assume
      it's installed (LP: #1673862).
    - Add trailing commas to dependencies, add whitespaces.
  * Rename ephemeral-disk-warning.sh to ephemeral-disk-warning (lintian error).
  * debian/docs:
    - Remove LICENSE.txt as it's redundant.
  * debian/postinst:
    - Stop checking for update-initramfs existence using the absolute path, use
      the 'command' command instead to make lintian happy.
  * Remove debian/patches/disable-auto-update.patch:
    - We now ship with auto-updates enabled (LP: #1650522).
  * debian/maintscript:
    - Add a maintscript to rename the old logrotate file on upgrade from an
      ancient version of walinuxagent (LP: #1673152).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 15 Mar 2017 10:19:34 +0100

Changed in walinuxagent (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.6-0ubuntu1~14.04.1

---------------
walinuxagent (2.2.6-0ubuntu1~14.04.1) trusty; urgency=medium

  * Backport zesty version to trusty.
  * New upstream release (LP: #1661750).
  * debian/control:
    - Change the maintainer to Ubuntu Developers (LP: #1657528).
    - Add the dependency of isc-dhcp-client as our maintainer scripts assume
      it's installed (LP: #1673862).
    - Add trailing commas to dependencies, add whitespaces.
  * Rename ephemeral-disk-warning.sh to ephemeral-disk-warning (lintian error).
  * debian/docs:
    - Remove LICENSE.txt as it's redundant.
  * debian/postinst:
    - Stop checking for update-initramfs existence using the absolute path, use
      the 'command' command instead to make lintian happy.
  * Remove debian/patches/disable-auto-update.patch:
    - We now ship with auto-updates enabled (LP: #1650522).
  * debian/maintscript:
    - Add a maintscript to rename the old logrotate file on upgrade from an
      ancient version of walinuxagent (LP: #1673152).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 15 Mar 2017 10:19:34 +0100

Changed in walinuxagent (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers